package cn.pluss.platform.mapper;

import java.util.List;
import java.util.Map;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import cn.pluss.platform.entity.AliMcc;

@Mapper
public interface AliMccMapper {

    public AliMcc queryAliMcc(AliMcc aliMcc);

    public List<AliMcc> queryAliMccList(AliMcc aliMcc);

    public void saveAliMcc(AliMcc aliMcc);

    public void updateAliMcc(AliMcc aliMcc);

    public void deleteAliMcc(AliMcc aliMcc);

    public List<AliMcc> queryAliMccPage(Map map);

    public Integer queryAliMccPageCount(Map map);

    public void saveAliMccBatch(List<AliMcc>  aliMccList);
    
    /**
	 * 
	 * queryMcc:(查询支付宝mccCode). <br/> 
	 * 
	 * @author Administrator 
	 * @param mccCode
	 * @return 
	 * @since JDK 1.8
	 */
	public  String queryMccCode(@Param(value="mccCode") String mccCode);
}

